Package org.springframework.util.concurrent

# Class MonoToListenableFutureAdapter<T>

java.lang.Object
org.springframework.util.concurrent.CompletableToListenableFutureAdapter<T>
org.springframework.util.concurrent.MonoToListenableFutureAdapter<T>

Type Parameters:
  `T` - the object type

All Implemented Interfaces:
  `Future<T>`, `ListenableFuture<T>`

@Deprecated(since="6.0") public class MonoToListenableFutureAdapter<T> extends CompletableToListenableFutureAdapter<T>
Deprecated.
as of 6.0, in favor of `Mono.toFuture()`
Adapts a `Mono` into a `ListenableFuture` by obtaining a `CompletableFuture` from the `Mono` via `Mono.toFuture()` and then adapting it with `CompletableToListenableFutureAdapter`.

Since:
  5.1
Author:
  Rossen Stoyanchev, Stephane Maldini

## Constructor Summary

Constructors
Constructor
Description
`MonoToListenableFutureAdapter(reactor.core.publisher.Mono<T> mono)`
Deprecated.

## Method Summary

### Methods inherited from class org.springframework.util.concurrent.CompletableToListenableFutureAdapter

`addCallback, addCallback, cancel, completable, get, get, isCancelled, isDone`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MonoToListenableFutureAdapter

public MonoToListenableFutureAdapter(reactor.core.publisher.Mono<T> mono)
Deprecated.